Uploaded image for project: 'Calcite'
  1. Calcite
  2. CALCITE-3814

Support JDK 14 and guava-28.2-jre

    XMLWordPrintableJSON

    Details

    • Type: Bug
    • Status: Closed
    • Priority: Major
    • Resolution: Fixed
    • Affects Version/s: None
    • Fix Version/s: 1.23.0
    • Component/s: None
    • Labels:
      None

      Description

      JDK 14 will be released on 2020/03/17.

      I tried building Calcite on an early access build and got an error from Gradle:

      $ java -version
      openjdk version "14" 2020-03-17
      OpenJDK Runtime Environment (build 14+36-1461)
      OpenJDK 64-Bit Server VM (build 14+36-1461, mixed mode, sharing)
      $ ./gradlew build
      Starting a Gradle Daemon, 1 busy and 1 incompatible Daemons could not be reused, use --status for details
      java.lang.NoClassDefFoundError: Could not initialize class org.codehaus.groovy.vmplugin.v7.Java7
              at org.codehaus.groovy.vmplugin.VMPluginFactory.<clinit>(VMPluginFactory.java:43)
              at org.codehaus.groovy.reflection.GroovyClassValueFactory.<clinit>(GroovyClassValueFactory.java:35)
              at org.codehaus.groovy.reflection.ClassInfo.<clinit>(ClassInfo.java:107)
      ...
      $ ./gradlew clean --stacktrace
      
      FAILURE: Build failed with an exception.
      
      * What went wrong:
      Could not initialize class org.codehaus.groovy.runtime.InvokerHelper
      
      * Try:
      Run with --info or --debug option to get more log output. Run with --scan to get full insights.
      
      * Exception is:
      java.lang.NoClassDefFoundError: Could not initialize class org.codehaus.groovy.runtime.InvokerHelper
              at org.gradle.internal.extensibility.DefaultExtraPropertiesExtension.<init>(DefaultExtraPropertiesExtension.java:29)
              at org.gradle.internal.extensibility.DefaultConvention.<init>(DefaultConvention.java:49)
              at org.gradle.internal.extensibility.ExtensibleDynamicObject.<init>(ExtensibleDynamicObject.java:60)
      ...
      

      Problem appears to be https://github.com/gradle/gradle/issues/10248, which is related to (caused by) GROOVY-9211, and alrso related to NETBEANS-3876.

        Attachments

          Issue Links

            Activity

              People

              • Assignee:
                julianhyde Julian Hyde
                Reporter:
                julianhyde Julian Hyde
              • Votes:
                0 Vote for this issue
                Watchers:
                4 Start watching this issue

                Dates

                • Created:
                  Updated:
                  Resolved: